channels: final: prev:
let
  latest = channels.latest;
in
{

  __dontExport = true; # overrides clutter up actual creations


  inherit (latest)
    cachix
    nix-direnv
    minetest
    dhall
    discord
    element-desktop
    rage
    ghidra
    podman
    nixpkgs-fmt
    qutebrowser
    nvfetcher
    signal-desktop
    delve
    neovim
    polymc
    lutris
    sumneko-lua-language-server
    cargo-crev
    cargo-fuzz
    tdesktop
    vimPlugins
    neovim-unwrapped;

  latest = latest;

  haskellPackages = prev.haskellPackages.override
    (old: {
      overrides = prev.lib.composeExtensions (old.overrides or (_: _: { })) (hfinal: hprev:
        let version = prev.lib.replaceChars [ "." ] [ "" ] prev.ghc.version;
        in
        {
          # same for haskell packages, matching ghc versions
          inherit (channels.latest.haskell.packages."ghc${version}")
            haskell-language-server;
        });
    });
}
