{ pkgs, ... }: {
  environment.systemPackages = with pkgs; [
    pavucontrol
    signal-desktop
    tdesktop
    firefox-wayland
    chromium
    nomacs
    libreoffice
    gimp
    krita
    inkscape
    syncplay
    pcmanfm
    ark

    cmus
    cmusfm
  ];
  services.dbus.packages = with pkgs; [ dconf ];
  services.gvfs.enable = true;
  services.udisks2.enable = true;
  services.devmon.enable = true;
  virtualisation.waydroid.enable = true;
  boot.supportedFilesystems = [ "ntfs" ];
}
