{ pkgs, ... }:
{
  users.users.mae = {
    uid = 1000;

    isNormalUser = true;
    hashedPassword = "$6$vyS4lqYbl3$OXztJnAC5ZayA4eCBSIRlYtsi9u1HnafsfNL28l4CJh0BISVlSj6D48CA80cshnvYW/EEzfEj7z4zTNFpJAT/.";
    shell = pkgs.zsh;
    extraGroups = [ "wheel" "video" "lp" "scanner" "adbusers" "render" "libvirtd" "podman" "docker" ];
  };
  home-manager.users.mae = { pkgs, ... }: {
    imports = [ ../profiles/direnv ../profiles/git ../profiles/zsh ../profiles/neovim ../profiles/syncthing ../profiles/kdeconnect ../profiles/podman ../profiles/alacritty ../profiles/tmux ../profiles/mpv ../profiles/sway ];

    home.sessionVariables = {
      XDG_DATA_DIRS = "$XDG_DATA_DIRS:/var/lib/flatpak/exports/share:$HOME/.local/share/flatpak/exports/share";
      EDITOR = "${pkgs.neovim}/bin/nvim";
      MOZ_ENABLE_WAYLAND = 1;
    };
    home.stateVersion = "18.09";
    gtk = {
      enable = true;

      theme = {
        name = "Arc-Dark";
        package = pkgs.arc-theme;
      };

      gtk3.extraConfig = {
        gtk-application-prefer-dark-theme = true;
      };
    };
    programs.go = {
      enable = true;
      goPath = ".local/go";
    };
  };
}
