{ lib, pkgs, config, ... }:
let
  cfg = config.mae.nvim.go;
in
with lib;
{
  options.mae.nvim.go.enable = lib.mkEnableOption "Enable go language support in neovim";

  config = mkIf cfg.enable {
    mae.nvim.lsp.servers.gopls = {
      enable = true;
      script = ''
        {
          cmd = { "${pkgs.gopls}/bin/gopls" },
        }
      '';
    };
  };
}
