{ lib, pkgs, config, ... }:
let
  cfg = config.mae.nvim;
in
with lib;
{
  options.mae.nvim.nix.enable = mkEnableOption "Enable nix support in nvim";
  config = mkIf cfg.nix.enable {
    programs.neovim = {
      plugins = with pkgs.vimPlugins; [
        vim-nix
      ];
    };
    mae.nvim.lsp.servers.rnix = {
      enable = true;
      script = '' {
            cmd = { "${pkgs.rnix-lsp}/bin/rnix-lsp" }
          }'';
    };
  };
}
